tosca_definitions_version: tosca_simple_yaml_1_3
node_types:
  org.openecomp.resource.VFC-child4:
    derived_from: org.openecomp.resource.VFC-root2
    properties:
      aProperty:
        type: string
        required: false
    attributes:
      test_1:
        type: string
        default: 'MydefaultValue'
      test_2:
        type: integer
        default: 266305
      test_3:
        type: string
        default: 'TestValue3'
      test_4:
        type: boolean
        default: true
    interfaces:
      Standard:
        type: tosca.interfaces.node.lifecycle.Standard
        inputs:
          url_path:
            type: string
        operations:
          create:
            description: 'My create Desc'
            implementation: path/to/my/implementation.sh
            inputs:
              first:
                type: string
                default: '1234'
                description: My inputs Desc
